<?php

class wpMooToolsPlugin {

	var $plugin_name;
	var $plugin_base;

	function register_plugin($name, $base) {
		$this -> plugin_name = $this -> plugin_name = $name;
		$this -> plugin_base = rtrim(dirname($base), '/');
	}
	
	function add_action($action, $function = null, $priority = 10, $params = 1) {
		if (add_action($action, array($this, $function == '' ? $action : $function), $priority, $params)) {
			return true;
		}
		
		return false;
	}
	
	function add_filter($filter, $function = null, $priority = 10, $params = 1) {
		if (add_filter($filter, array($this, $function == '' ? $filter : $function), $priority, $params)) {
			return true;
		}
		
		return false;
	}
	
	function add_shortcode($tag, $handler = null) {
		if (!empty($tag)) {
			if (add_shortcode($tag, array($this, ((empty($handler)) ? $tag : $handler)))) {
				return true;
			}
		}
		
		return false;
	}
}

?>